Bug 10812 - size md5 GPG NOT OK
Summary: size md5 GPG NOT OK
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ypserv   
(Show other bugs)
Version: 5.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
: 10813 10815 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-14 11:12 UTC by Michael CorbeilMlution.com
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-14 15:20:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael CorbeilMlution.com 2000-04-14 11:12:58 UTC
rpm -K --nopgp gives "size md5 GPG NOT OK" for all of the following files
downloaded from

	http://www.redhat.com/support/errata/rh52-errata-general.html

bind-8.2.2_P3-0.5.2.i386.rpm
bind-devel-8.2.2_P3-0.5.2.i386.rpm
bind-utils-8.2.2_P3-0.5.2.i386.rpm
groff-1.15-0.5.2.i386.rpm
groff-gxditview-1.15-0.5.2.i386.rpm
libtiff-3.5.4-0.5.2.i386.rpm
libtiff-devel-3.5.4-0.5.2.i386.rpm
lpr-0.48-0.5.2.i386.rpm
nfs-server-2.2beta47-1.i386.rpm
sharutils-4.2.1-1.5.2.i386.rpm
sysklogd-1.3.31-1.5.i386.rpm
sysklogd-1.3.31-14.i386.rpm
wu-ftpd-2.6.0-0.5.x.i386.rpm
wu-ftpd-2.6.0-1.i386.rpm
ypserv-1.3.9-0.5.2.i386.rpm

I already conveyed this in an additional comment to a bug report on the
above bind rpm.  However, I don't know how often those comments get read;
therefore, perhaps it's better to put in a separate bug report.

I'm also unsure if I didn't already report this some time back, between one
and two months ago, however checking through the current list of bug
reports to a fairly exhaustive extent, I didn't see anything about this,
and given that it's written in some documentation on rpm that this is a
serious error, that people should be very careful about installing such
RPMs, this seems like the safest thing to do, to report this problem until
I know that it's been verified.

As for the Component Text field, I haven't a clue what to enter there.  Nor
do I know what to do with the Assigned To field.

Hence, I'm submitting this the best way I know how.  Hopefully, this will
be acceptable.

Also, the version of rpm which returned this error condition is 3.0.2;
although, I believe to have also tested this with 2.5.3.  And, rpm -K gives
the same message regardless of whether --nopgp is used, or not.

The same message is reported with --checksig, with and without --nopgp.

Comment 1 Michael CorbeilMlution.com 2000-04-14 12:14:59 UTC
Also, noticing how this bug report only shows ypserv for the component, I had
selected all of the components for these RPMs; therefore, it seems that only the
last one selected in the list is retained for the component; unless, the bug
report gets duplicated for every component selected.

The same comment applies to bug report 10813.

Comment 2 Bill Nottingham 2000-04-14 15:20:59 UTC
You need to use '--nogpg' to turn off the GPG checks,
or install GPG and add the proper key to your key ring.

Comment 3 Bill Nottingham 2000-04-14 15:21:59 UTC
*** Bug 10813 has been marked as a duplicate of this bug. ****** Bug 10815 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.